<template>
  <div class="container mx-auto my-5 help-center-page">
    <div class="term-header">
      <div class="term-condition-header">
        <span class="--text2">{{ header.Text }}</span>
      </div>
    </div>
    <div class="demo-collapse" :class="{ sbo: isSBO }">
      <el-collapse accordion>
        <template v-for="(title, index) in titles" :key="index">
          <el-collapse-item :title="title.Text">
            <div
              class="py-2 space-y-2 --text2"
              v-html="contentDetailFiltered(title.HtmlId)"
            ></div>
          </el-collapse-item>
        </template>
      </el-collapse>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed } from "vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import _ from "lodash";

export default defineComponent({
  setup() {
    const isMobile = !useIsDesktop();
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const header = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_menu_info_6"
        )
    );
    const titles = computed(
      (): Array<IThemePropertiesFromApi> =>
        _.orderBy(themePropertyHelper.getMultipleThemesProperties(
          themeProperties.value,
          "menu_content_title_6_"
        ), [(title) => title.HtmlId.length, 'HtmlId'])
    );
    const contentDetailFiltered = (htmlId: string): string => {
      const id = htmlId.replace("menu_content_title_6_", "");
      return themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        `menu_content_detail_6_${id}`
      ).Text
    };
    const isChinaEnabled = computed(
      (): boolean => store.state.selectedThemeName === "china"
    );
    const isSBO = computed((): boolean => selectedThemeName.value === "sbo");
    return {
      selectedThemeName,
      isChinaEnabled,
      header,
      contentDetailFiltered,
      titles,
      isMobile,
      isSBO,
    };
  },
});
</script>

<style scoped>
.el-collapse {
  --el-collapse-header-bg-color: transparent;
  --el-collapse-content-bg-color: transparent;
  --el-collapse-header-text-color: var(--text2);
  --el-collapse-content-text-color: var(--text2);
  --el-collapse-border-color: var(--text2);
  border-top: none;
  border-bottom: none;
}

:deep(.el-collapse-item__header.is-active) {
  background-color: var(--secondary);
  color: var(--text2);
}

:deep(.el-collapse-item__header) {
  font-size: 14px;
  height: auto;
  border-bottom: none;
  padding: 0px 26px;
  color: var(--text);
}

:deep(.el-collapse-item__content) {
  font-size: 14px;
  height: auto;
  padding: 0px 26px;
}

:deep(.el-collapse-item__content p) {
  margin-bottom: 10px;
}

:deep(.el-collapse-item__wrap) {
  border: 0.5px solid var(--background1);
}

.term-header {
  font-weight: 600;
  font-size: 30px;
  padding-bottom: 20px;
}

.fs_Bold {
  font-weight: 600;
  margin-bottom: 10px;
  margin-top: 30px;
  font-size: 16px;
}

.page-content p {
  margin-bottom: 10px;
}
:deep(.el-tabs__content) {
  overflow: unset;
}
</style>
